{% extends 'web/base.html' %}
{% block content %}
    {% if messages %}
        {% for message in messages %}
            <div class="alert {% if message.tags %} alert-{{message.tags}} {% endif %}">
                {{message}}
            </div>
        {% endfor %}
    {% endif %}
    {% if current_timeslot %}
        <b>Текущий слот:</b> {{ current_timeslot.title }}
        <small>начат в {{ current_timeslot.start_date }}</small>
        <form action="{% url 'time_slots_stop' current_timeslot.id %}" method="post">
            {% csrf_token %}
            <button>Закончить</button>
        </form>

    {% else %}
        <b>Добавить таймслот</b>
        <form action="{% url 'time_slots_add' %}" method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <button>Сохранить</button>
        </form>
    {% endif %}

    <hr>
    <form action="">
        <b>Фильтры:</b><br>

        {% for field in filter_form %}
            {{ field.label }}
            {{ field }}
        {% endfor %}

        <button>Найти</button>
        <button name="export" value="csv">Экпорт в CSV</button>

        <a href="?">Показать всё</a>
    </form>

    <ul>
        {% for timeslot in timeslots %}
            <li>
                <b><a href="{% url 'time_slot_view' timeslot.id %}">{{ timeslot.title }}</a></b> 
                – {{ timeslot.spent_time }}
                <small>
                    {% if timeslot.tags.all %}
                        [{{ timeslot.tags_count }}: {% for tag in timeslot.tags.all %} {{ tag.title }} {% endfor %}]

                    {% endif %}

                    {{ timeslot.user.username }}

                    {% if timeslot.is_realtime %}(realtime){% endif %}
                </small>
                <br>
                <small>
                    {{ timeslot.start_date }} {% if timeslot.end_date %}– {{ timeslot.end_date }} {% endif %}
                    <a href="{% url 'time_slots_edit' timeslot.id %}">изменить</a>
                    <a href="{% url 'time_slots_delete' timeslot.id %}">удалить</a>
                </small>
            </li>
        {% endfor %}
    </ul>

    всего {{ total_count }} записей. {{ timeslots|length }} на этой странице.
    <nav>
        {% if timeslots.has_previous %}
            <a href="?page=1">в начало</a>
            <a href="?page={{ timeslots.previous_page_number }}">предыдующая страница</a>
        {% endif %}

        страница {{ timeslots.number }} из {{ timeslots.paginator.num_pages }}

        {% if timeslots.has_next %}
            <a href="?page={{ timeslots.next_page_number }}">следующая страница</a>
            <a href="?page={{ timeslots.paginator.num_pages }}">в конец</a>
        {% endif %}
    </nav>


    {{ year }}
{% endblock %}
